Difference between revisions of "MediaWiki:Common.css"

From SHA2017 Wiki
Jump to: navigation, search
(fake the gradient then....)
Line 6: Line 6:
  
  
 +
/* How to make it go 100% or be static? Do we have to stretch an image or something? It's a bit ugly now... */
 
.mediawiki {
 
.mediawiki {
  background: rgb(201,222,150);
+
    background: rgb(201,222,150);
 +
    background: -moz-linear-gradient(top, rgba(201,222,150,1) 0%, rgba(138,182,107,1) 44%, rgba(57,130,53,1) 100%);
 +
    background: -webkit-linear-gradient(top, rgba(201,222,150,1) 0%,rgba(138,182,107,1) 44%,rgba(57,130,53,1) 100%);
 +
    background: linear-gradient(to bottom, rgba(201,222,150,1) 0%,rgba(138,182,107,1) 44%,rgba(57,130,53,1) 100%);
 
}
 
}
  
Line 17: Line 21:
 
}
 
}
  
#footer {
 
    background: rgb(201,222,150);
 
    background: -moz-linear-gradient(top, rgba(201,222,150,1) 0%, rgba(138,182,107,1) 44%, rgba(57,130,53,1) 100%);
 
    background: -webkit-linear-gradient(top, rgba(201,222,150,1) 0%,rgba(138,182,107,1) 44%,rgba(57,130,53,1) 100%);
 
    background: linear-gradient(to bottom, rgba(201,222,150,1) 0%,rgba(138,182,107,1) 44%,rgba(57,130,53,1) 100%);
 
}
 
  
  

Revision as of 19:10, 29 December 2016

/* CSS placed here will be applied to all skins */

.mw-wiki-logo {
    background-image: url('/images/5/52/Shawiki.png') !important;
}


/* How to make it go 100% or be static? Do we have to stretch an image or something? It's a bit ugly now... */
.mediawiki {
    background: rgb(201,222,150);
    background: -moz-linear-gradient(top, rgba(201,222,150,1) 0%, rgba(138,182,107,1) 44%, rgba(57,130,53,1) 100%);
    background: -webkit-linear-gradient(top, rgba(201,222,150,1) 0%,rgba(138,182,107,1) 44%,rgba(57,130,53,1) 100%);
    background: linear-gradient(to bottom, rgba(201,222,150,1) 0%,rgba(138,182,107,1) 44%,rgba(57,130,53,1) 100%);
}

#mw-head {
    background: rgb(161,219,255);
    background: -moz-linear-gradient(top, rgba(161,219,255,1) 1%, rgba(240,249,255,1) 99%);
    background: -webkit-linear-gradient(top, rgba(161,219,255,1) 1%,rgba(240,249,255,1) 99%);
    background: linear-gradient(to bottom, rgba(161,219,255,1) 1%,rgba(240,249,255,1) 99%);
}



/* [[Template:ToDo]] START */
table.mbox-style {
    border-left: 10px solid #fc3;
}

table.mbox {
    margin: 0 10%;
    border: 1px solid #a2a9b1;
    border-left: 10px solid #36c;
    background: #fbfbfb;
}
.ambox td.mbox-image {
    padding: 2px 0 2px 0.5em;
}
td.mbox-image {
    border: none;
    padding: 2px 0 2px 0.9em;
    text-align: center;
}
.mbox th.mbox-text, .mbox td.mbox-text {
    padding: 0.25em 0.5em;
}
th.mbox-text, td.mbox-text {
    border: none;
    padding: 0.25em 0.9em;
    width: 100%;
}
/* [[Template:ToDo]] END */

/* [[Template:Countdown]] START */
/* the countdown clock on the front page of the wiki. See common.js for the script. */
#clockdiv{
	font-family: sans-serif;
	color: #fff;
	display: inline-block;
	font-weight: 100;
	text-align: center;
	font-size: 30px;
}

#clockdiv > div{
	padding: 10px;
	border-radius: 3px;
	background: #00BF96;
	display: inline-block;
        margin-left: 10px;
}

#clockdiv div > span{
	padding: 15px;
	border-radius: 3px;
	background: #00816A;
	display: inline-block;
        width:50px;
        height:50px;
}

.clocksmalltext{
	padding-top: 5px;
	font-size: 16px;
}
/* [[Template:Countdown]] END */

/* [[Template:FAQ]] START */
.metadata-faq {
  font-size: 10px;
  border: collapsed;
  line-height: 12px;
}
/* [[Template:FAQ]] END */